package net.benhui.btgallery.l2cap_gui;

import javax.microedition.lcdui.*;
import net.benhui.btgallery.*;

/**
 *
 * <p>Title: A simple input screen to input a text message.</p>
 * <p>Description: Used by L2CAP_MIDlet.</p>
 * @author Ben Hui (www.benhui.net)
 * @version 1.0
 *
 * LICENSE:
 * This code is licensed under GPL. (See http://www.gnu.org/copyleft/gpl.html)
 */

public class L2CAP_Screen extends MessageUI
{

  public L2CAP_Screen()
  {

    addCommand(new Command("Start L2CAP Server", Command.SCREEN, 1));
    addCommand(new Command("Run L2CAP Client", Command.SCREEN, 1));
    addCommand(new Command("Exit", Command.EXIT, 1));
    setCommandListener( L2CAP_MIDlet.instance );
  }

}
